Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(430)

Unified Diff: tools/presubmit.sh

Issue 8437064: Integrate frog tests into presubmit.sh (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Feedback from Siggi Created 9 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tests/language/language.status ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/presubmit.sh
diff --git a/tools/presubmit.sh b/tools/presubmit.sh
index 6adaf572cf881365a6584b09528e5735915d86e5..7c4a4426ae03a84c722a83edbd649e7d89c8e328 100755
--- a/tools/presubmit.sh
+++ b/tools/presubmit.sh
@@ -90,7 +90,12 @@ echo
echo "--- Building debug ---"
doBuild ia32 debug
-
+# Create a symlink for the Dart VM for frog
ngeoffray 2011/11/03 12:33:05 Not needed anymore.
zundel 2011/11/03 13:21:35 Done.
+if [ ! -f frog/bin/dart_bin ] ; then
+ mkdir -p frog/bin
+ DART_BIN=`pwd`/out/Release_ia32/dart_bin
+ ln -s $DART_BIN frog/bin/
+fi
echo
echo "=== Runtime tests === "
@@ -105,21 +110,32 @@ fi
echo
-echo "=== Compiler tests ==="
+echo "=== dartc tests ==="
echo " Debug mode (Ctrl-C to skip this set of tests)"
doTest compiler dartc debug
-COMPILER_RESULT=$?
+DARTC_RESULT=$?
if [ ${DO_OPTIMIZE} == 1 ] ; then
echo " Release mode (--optimize)"
doTest compiler dartc release
RESULT=$?
if [ ${RESULT} != 0 ] ; then
- COMPILER_RESULT=${RESULT}
+ DARTC_RESULT=${RESULT}
fi
fi
echo
+echo "=== frog tests ==="
+# TODO(zundel): Update once frog is integrated into test.py
ngeoffray 2011/11/03 12:33:05 I think running presubmit.py is just fine.
+cd frog
+./presubmit.py
+FROG_RESULT=$?
+if [ ${FROG_RESULT} != 0 ] ; then
+ TESTS_FAILED=1
+fi
+cd -
Siggi Cherem (dart-lang) 2011/11/02 23:22:00 I didn't know about 'cd -' that's pretty cool :)
+
+echo
echo "=== Client tests ==="
echo " Chromium (Ctrl-C to skip this set of tests)"
doTest client chromium debug
@@ -145,15 +161,19 @@ fi
# Print summary of results
if [ ${RUNTIME_RESULT} != 0 ] ; then
- echo "*** Runtime tests failed"
+ echo "*** vm tests failed"
+fi
+
+if [ ${DARTC_RESULT} != 0 ] ; then
+ echo "*** dartc tests failed"
fi
-if [ ${COMPILER_RESULT} != 0 ] ; then
- echo "*** Compiler tests failed"
+if [ ${FROG_RESULT} != 0 ] ; then
+ echo "*** frog tests failed"
fi
if [ ${CLIENT_RESULT} != 0 ] ; then
- echo "*** Client tests failed"
+ echo "*** client tests failed"
fi
if [ ${TESTS_FAILED} == 0 ] ; then
« no previous file with comments | « tests/language/language.status ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698